.card {
    position: relative;
}

.backdrop {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #36100c;
    border-radius: 10px;
    opacity: 0;
}

.content {
    position: absolute;
    top: 20px;
    left: 10%;
}

.title {
    color: #F6BE00;
    transform: translateX(-50%);
    opacity: 0;
}

.desc {
    opacity: 0;
}

/* ----------- css hover effect for button of buy ticket------------------ */

.buy-btn-wrapper {
    width: 100%;
    display: flex;
    justify-content: center;
    position: absolute;
    bottom: 40%;
    left: 0;
}

.buy-btn {
    padding: 10px 20px;
    font-weight: 700;
    font-size: 20px;
    color: #F6BE00;
    letter-spacing: 5px;
    text-transform: uppercase;
    transform: scale(0);
    transition: 0.6s cubic-bezier(0.1, 0.7, 1.0, 0.1);
    cursor: pointer;

}

.buy-btn::before,
.buy-btn::after {
    content: "";
    position: absolute;
    transition: inherit;
    z-index: -1;
    top: 0;
    width: 0;
    height: 100%;
}

.buy-btn:hover {
    color: #F6BE00;
    transition-delay: 0.2s;
    transition: all 0.8s cubic-bezier(0.77, 0, 0.175, 1);
}

.buy-btn::before {
    transition-delay: 0s;
    right: 0;
    border: 1px solid #fff;
    border-left: 0;
    border-right: 0;
}

.buy-btn::after {
    transition-delay: 0.2s;
    background: #fff;
    left: 0;
}

.buy-btn:hover::before,
.buy-btn:hover::after {
    width: 100%;
}

/* ------------------------------------------------------------------------- */


.card:hover .buy-btn {
    transform: scale(1);
}

.card:hover .title {
    animation: focus 0.4s forwards;
    animation-delay: 0.2s;
}

.card:hover .desc {
    animation: focus 0.4s forwards;
    animation-delay: 0.4s;
}

.card:hover .backdrop {
    opacity: 0.8;
    filter: grayscale(100%);
}



@keyframes focus {
    0% {
        transform: scale(1.4) translateX(-30%);
        filter: blur(10px);
        opacity: 0;
    }

    100% {
        transform: scale(1) translateX(0%);
        filter: blur(0px);
        opacity: 1;
    }
}